package com.m2pool.lease.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * <p>
 * 余额提现请求对象
 * </p>
 *
 * @author yyb
 * @since 2025-07-23
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ChainAndCoinDto {


    private String coin;
    private String chain;
    private Long shopId;

    public ChainAndCoinDto( String coin,String chain) {
        this.chain = chain;
        this.coin = coin;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ChainAndCoinDto that = (ChainAndCoinDto) o;
        return Objects.equals(coin, that.coin) && Objects.equals(chain, that.chain) && Objects.equals(shopId, that.shopId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(coin, chain,shopId);
    }

    @Override
    public String toString() {
        return "ChainAndCoinDto{" +
                "coin='" + coin + '\'' +
                ", chain='" + chain + '\'' +
                ", shopId='" + shopId + '\'' +
                '}';
    }
}
